Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0009711Dwarf FortressDwarf Mode -- Thoughts and Preferencespublic2016-04-26 20:072020-02-20 16:14
ReporterNW_Kohaku 
Assigned ToLoci 
PrioritynormalSeveritymajorReproducibilityalways
StatusacknowledgedResolutionopen 
PlatformOSOS Version
Product Version0.42.06 
Target VersionFixed in Version 
Summary0009711: Dwarves have unfulfillable needs
DescriptionThe new needs system has several major problems. You can no longer keep dwarves happy by just giving them really nice rooms and dining facilities and generally engraving every square inch of the main fortress. The problem is, you have to be able to fulfill EVERY need, and the needs are sometimes unfulfillable.

In short-run fortresses (like the ones Toady tends to play nowadays) this is no big deal, but unfulfillable needs will cripple 10-year fortresses, basically rendering long-term fortresses unplayable.

See these threads for details:
http://www.bay12forums.com/smf/index.php?topic=157394.0 [^]
http://www.bay12forums.com/smf/index.php?topic=157777.0 [^]
http://www.bay12forums.com/smf/index.php?topic=155850.0 [^]

A list of situations that arise:
1: A dwarf who is asexual, and therefore will never marry, dreams of marriage despite being completely uninterested in romancing anyone.

2: A dwarf desires a particular type of food that cannot be acquired. For example, demanding red panda meat in spite of that animal requiring a particular type of biome that may not exist in a small world, and therefore being extinct. Even when it does exist, there may be no guarantee at all that any civilization has access to great white shark meat they can trade to a non-oceanic fortress, rendering it impossible to satiate that one dwarf's needs, even if one tries to trade for it. Even if one CAN trade for the food, the sheer number of dwarves who demand specific esoteric foodstuffs means you need to micromanage access to nearly as many types of food as you have dwarves, since dwarves are not always good about actually SEEKING OUT the food they demand, much less avoiding eating rare food others want.

3: Dwarves that need socialization do not bother to actually socialize as long as other break activities are available. Essentially, they do not seek to fulfill a need they could easily fulfill at nearly any time.

4: Dwarves that need to be near family take no steps to actually be near family. Same as above.

5: Dwarves that need to acquire some item will not take steps to actually acquire that item even if made available for them. Again, it's the same problem.
Steps To ReproducePlay fortress mode long enough, and this will happen for any of a few reasons.

Here is an example save of the "asexual dwarf wants to get married but will never have an interest in another dwarf" problem: http://dffd.bay12games.com/file.php?id=11983 [^]
Additional InformationSome of these problems tend to stem from systems that need to talk to one another being completely segregated. For example, asexuality should either have a major suppressor of romance inclination, or there needs to be some sort of "platonic romance" that can fulfill the need for some sort of soul-mate without requiring marriage to fulfill that need. Also, favorite food types are selected blindly at random without regards for whether the animal they want to eat even EXISTS in the world in question, much less it is even possible for the player to supply it. (See the suggestion thread http://www.bay12forums.com/smf/index.php?topic=155850.0 [^] for a more in-depth solution on that particular one.)

The others are often problems of dwarves not taking any particular action to actually satisfy a need that should be satiable; Dwarves which desire socialization can do so, but their scripted attempts to do so is overridden by other, higher-priority "breaks" they can otherwise take.
TagsNo tags attached.
Attached Files

- Relationships
parent of 0009282new Sentient creatures that can't drink or eat become frustrated by it 
has duplicate 0010952resolvedLoci Asexual dwarf dreams of raising a family 
related to 0010020acknowledgedLoci Some need descriptions (friend, family, possibly others) misleading under some circumstances 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0035051)
NW_Kohaku (reporter)
2016-04-26 20:11

Oh, right, key bit of information on the uploaded save:
"Glassmaker" is the asexual dwarf dreaming of a marriage but not taking any steps to do so.
(0035052)
PatrikLundell (reporter)
2016-04-27 00:22

Minor correction: Glassmaker is prepared to romance females, but will not commit to marriage, rather than completely asexual. The outcome is the same regardless, however.
(0035818)
mrmagolor (reporter)
2016-08-28 19:19

How has this not been resolved yet
(0036666)
FantasticDorf (reporter)
2017-07-20 01:49

e.g - similar issues are presented in issue report 0010020 as a possible relevant relation

http://www.bay12games.com/dwarves/mantisbt/view.php?id=10020 [^]
(0039056)
FantasticDorf (reporter)
2018-12-27 15:38

I can also throw in here that some incompatible statistics that gate dwarves social skills (or lack of) will also affect ability to fufill, dwarves with no *romantic pontential* will still desire family, outcast personalities will still desire friends.

There are 4 core types, Liars (negative/secretive/contradictive values) Persuaders (argue points across to communicate, positive or negative), Comedians & Conversationalists (both positive) that work to improve relationships. Unfriendly, unassertive, and humorless (perhaps bad at lying due to low values like dwarven civ social taboo) cannot progress at all and only seek to deflect arguements and discussion with flatterer if they are able.

Any mixture of these will not affect their needs, whether they are capable or not of using social skills or nuance values. Since personalities got more complex nobody knows how they really work or interact anymore since when the categories were smaller. These are my observations.
(0040149)
FantasticDorf (reporter)
2020-02-20 15:55

Since 47.01~ / 47.03~ Dwarves have improved and are now able to meet at least 80% of their prequisite needs to become 'focused' if they are not in abusive work cycles because needs become increasingly frustrated upon embarkation start date due to the nature of the game to prepare & expand infrastructure and production.

After about a year of unrestricted access to full amenities (temple worship, tavern with instruments, library with books) and delegating important work spread out to migrants and guild start-ups, dwarves will have mostly 60% needs and overcome the 'need-frustration' and spend more time idling & socialising than working on their needs themselves to keep on top of it.
(0040150)
FantasticDorf (reporter)
2020-02-20 16:14

Toady appears to have modified the system so that dwarves now not repetitively over fill core needs fufilled in location sites to neglect others, as dwarves will evetually read their fill of books (to level of pent up frustration) if they feel inclined to do, cycling book topics & copies until they dont want to anymore then stop repeating the action until it lowers again.

However, as other commentators have mentioned out, not all of the needs in 47.03 collaborate with individual facets or tokens upon the creature. Negative 'LOVE_PROPENSITY' & 'EMOTIONALLY_OBSESSIVE' values etc. in the psychological facet screen of a dwarf can directly affect their love & social lives noticably but doesn't affect the presentation of the need to create those bonds versus the dwarven cultural value ideals that they treasure or present a inner conflict to the dwarf like other ones like nature vs art.

- Issue History
Date Modified Username Field Change
2016-04-26 20:07 NW_Kohaku New Issue
2016-04-26 20:11 NW_Kohaku Note Added: 0035051
2016-04-27 00:22 PatrikLundell Note Added: 0035052
2016-05-08 17:31 Dwarfu Relationship added parent of 0009282
2016-05-16 16:06 Hedede Issue Monitored: Hedede
2016-05-31 18:20 mdotterer Issue Monitored: mdotterer
2016-08-28 19:19 mrmagolor Note Added: 0035818
2017-07-20 01:49 FantasticDorf Note Added: 0036666
2017-08-02 09:32 park66665 Issue Monitored: park66665
2018-11-11 16:55 Loci Relationship added has duplicate 0010952
2018-11-11 16:56 Loci Assigned To => Loci
2018-11-11 16:56 Loci Status new => acknowledged
2018-11-11 16:58 Loci Relationship added related to 0010020
2018-12-27 15:38 FantasticDorf Note Added: 0039056
2020-02-20 15:55 FantasticDorf Note Added: 0040149
2020-02-20 16:14 FantasticDorf Note Added: 0040150


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker